Qt 5.6 | Qt 3D | C++ Classes | QTorusMesh

Qt 5.6.3 Reference Documentation

# QTorusMesh Class

(Qt3DRender::QTorusMesh)

A custom mesh. More...

Header: | #include <QTorusMesh>
qmake: | QT += 3drender
Instantiated By: | TorusMesh
Inherits: | QGeometryRenderer

- List of all members, including inherited members

## Properties

- minorRadius : float
- radius : float
- rings : int
- slices : int

- 8 properties inherited from Qt3DRender::QGeometryRenderer
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QTorusMesh(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QTorusMesh()
float | minorRadius() const
float | radius() const
int | rings() const
int | slices() const

- 10 public functions inherited from Qt3DRender::QGeometryRenderer
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setMinorRadius(float minorRadius)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

- 8 public slots inherited from Qt3DRender::QGeometryRenderer
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | minorRadiusChanged(float minorRadius)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

- 8 signals inherited from Qt3DRender::QGeometryRenderer
- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DRender::QGeometryRenderer
- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

A custom mesh.

## Property Documentation

### minorRadius : float

Holds the inner radius of the torus.

Access functions:

float | minorRadius() const
void | setMinorRadius(float minorRadius)

Notifier signal:

void | minorRadiusChanged(float minorRadius)

### radius : float

Holds the outer radius of the torus.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the mesh.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the mesh.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

## Member Function Documentation

### QTorusMesh::QTorusMesh(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QTorusMesh.

### QTorusMesh::~QTorusMesh()

Destroys this torus mesh.